Decision log endpoints
Retrieves in-depth information about the standard routing process
ID of the routing plan you want to get it's decision log
ID of the decision log you want to get
Decision log was found.
DecisionLog
The date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZThe version of the document to be used in optimistic locking mechanisms.
42This part of the API is in Alpha status. For details, see the API release lifecycle documentation.
In case no LPS could be calculated for this facility, the possible causes will be listed in this array. This property is an alpha property and still under development
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
Decision log not found
GET /api/routingplans/{routingplanId}/decisionlogs/{routingRun} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"facilityDecisions": [],
"id": "text",
"latestPickingStartHints": {},
"orderSplitDecision": {
"reassignment": {
"reassignedItems": [],
"sourceFacility": {
"facilityRef": "text",
"name": "text"
}
},
"split": {
"splitCount": 1,
"splittedItems": [],
"targetFacility": {
"facilityRef": "text",
"name": "text"
},
"targetRoutingPlanRef": "text"
},
"splitType": "SPLIT"
},
"results": {
"assignedItems": [],
"bestAvailableFacility": {
"facilityRef": "text",
"name": "text"
},
"bestRatedFacility": {
"facilityRef": "text",
"name": "text"
},
"bestReassignmentFacility": {
"facilityRef": "text",
"name": "text"
},
"routingPlanStatus": "IN_PREPARATION"
},
"routingPlanRef": "text",
"routingRun": 1,
"routingStrategyEvaluationResult": {
"evaluatedConfig": {
"fallbackFacility": {
"active": false,
"facilityRefs": [
"text"
],
"fallbackAfterTime": "PT0H"
},
"fences": [
{
"active": true,
"activeMode": "static",
"description": "text",
"implementation": "FACILITY-BUSINESSTYPE",
"name": "text",
"supportedModes": [
"static"
],
"type": "StandardFence"
}
],
"orderSplit": {
"active": true,
"activeForSameday": true,
"maxSplitCount": 1,
"shouldUseWaitingRoomForPreBackOrderItems": true
},
"priorityRatings": [
{
"active": true,
"configuration": {
"type": "COST_COMPONENTS"
},
"description": "text",
"implementation": "STOCK-BALANCING",
"name": "text",
"priority": 100,
"type": "StandardPriorityRating"
}
],
"ratings": [
{
"active": true,
"configuration": {
"type": "COST_COMPONENTS"
},
"description": "text",
"implementation": "STOCK-BALANCING",
"maxPenalty": 100,
"name": "text",
"type": "StandardRating"
}
],
"reroute": {
"clickAndCollect": {
"active": true,
"rerouteType": "REROUTE"
},
"manualReroute": true,
"rerouteZeroPicksOnly": false,
"shipFromStore": {
"active": true,
"rerouteType": "REROUTE"
}
}
},
"evaluatedPath": [
{
"nameLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"evaluationResult": "NODE_INACTIVE",
"ref": "text",
"type": "CONDITION"
}
]
},
"statistics": {
"durationMs": 1,
"fenceStatistics": [],
"ratingStatistics": []
},
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z",
"version": 42
}Last updated
Was this helpful?

